# Uses of Class
org.eclipse.mat.snapshot.extension.CollectionExtractionInfo

Packages that use CollectionExtractionInfo
Package
Description
org.eclipse.mat.internal.collectionextract
Code for reading data from collections found in a snapshot.
org.eclipse.mat.snapshot.extension
Interfaces that extend the information extracted from heap dumps like threads, name resolvers etc.
org.eclipse.mat.snapshot.registry
Registries for the extensions to read additional heap dump information like threads, name resolvers etc.

## Uses of CollectionExtractionInfo in org.eclipse.mat.internal.collectionextract

Methods in org.eclipse.mat.internal.collectionextract that return types with arguments of type CollectionExtractionInfo
Modifier and Type
Method
Description
`List<CollectionExtractionInfo>`
KnownCollectionInfo.`getExtractorInfo()`

## Uses of CollectionExtractionInfo in org.eclipse.mat.snapshot.extension

Methods in org.eclipse.mat.snapshot.extension that return types with arguments of type CollectionExtractionInfo
Modifier and Type
Method
Description
`List<CollectionExtractionInfo>`
ICollectionExtractorProvider.`getExtractorInfo()`

## Uses of CollectionExtractionInfo in org.eclipse.mat.snapshot.registry

Methods in org.eclipse.mat.snapshot.registry that return types with arguments of type CollectionExtractionInfo
Modifier and Type
Method
Description
`List<CollectionExtractionInfo>`
CollectionExtractorProviderRegistry.`getCollectionExtractionInfo()`